OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
StashOriginAndStoreOffset< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| StashOriginAndStoreOffset (std::vector< LeafNodeType * > &nodes, Coord *coordinates)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
LeafNodeType **const | mNodes
Coord *const | mCoordinates

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ StashOriginAndStoreOffset()

StashOriginAndStoreOffset | ( | std::vector< LeafNodeType * > & | nodes,
|  | Coord * | coordinates
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mCoordinates

Coord* const mCoordinates

## ◆ mNodes

LeafNodeType** const mNodes

The documentation for this struct was generated from the following file:

- MeshToVolume.h